import { Renderer2, ElementRef, EventEmitter, OnInit } from '@angular/core';
import { BreadcrumbItemTemplateDirective } from './breadcrumb-item-template.directive';
import { BreadcrumbItem, BreadcrumbItemClickEvent } from './types';
export declare class BreadcrumbComponent implements OnInit {
    private _el;
    private _renderer;
    items: BreadcrumbItem[];
    itemClick: EventEmitter<BreadcrumbItemClickEvent>;
    _itemTemplate: BreadcrumbItemTemplateDirective;
    constructor(_el: ElementRef, _renderer: Renderer2);
    ngOnInit(): void;
}
