import { TemplateRef, ViewContainerRef, OnDestroy, ElementRef, OnInit } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
import { Placement } from '../../common/types';
export declare class PopoverDirective implements OnInit, OnDestroy {
    private _overlayService;
    private _elementRef;
    private _viewRef;
    private _portal;
    private _overlayRef;
    title: string;
    content: string | TemplateRef<any>;
    placement: Placement;
    constructor(_overlayService: Overlay, _elementRef: ElementRef, _viewRef: ViewContainerRef);
    ngOnInit(): void;
    private _onMouseEnter;
    private _onMouseLeave;
    private _createOverlay;
    private _getPositions;
    private _disposeOverlay;
    ngOnDestroy(): void;
}
