import { QueryList, EventEmitter, ElementRef, Renderer2, OnInit } from '@angular/core';
import { TabDirective } from './tab.directive';
import { TabAppearance, TabSelectEvent } from './types';
export declare class TabsComponent implements OnInit {
    private _element;
    private _renderer;
    tabs: QueryList<TabDirective>;
    selectedIndex: number;
    disabled: boolean;
    fade: boolean;
    appearance: TabAppearance;
    vertical: boolean;
    contentCssClass: string;
    tabSelect: EventEmitter<TabSelectEvent>;
    constructor(_element: ElementRef, _renderer: Renderer2);
    ngOnInit(): void;
    _onTabClick(tab: TabDirective, index: number): void;
}
